## libopenshot 0.1.2

=== debian/changelog ===
libopenshot (0.1.2-0obs) obs; urgency=medium

  * Rebuild for OBS.
  * Switch to 3.0 (quilt) source format.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 01 Sep 2016 11:17:17 -0700

libopenshot (0.1.2-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Mon, 29 Aug 2016 23:54:57 -0500

libopenshot (0.1.1-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Sun, 27 Mar 2016 23:40:01 -0500

libopenshot (0.1.0-1) UNRELEASED; urgency=medium

  * New release. Fixed version # issue and documentation issue. 

 -- Jonathan Thomas <jonathan@os-phoenix>  Mon, 08 Feb 2016 21:54:25 -0600

libopenshot (0.0.9-1) UNRELEASED; urgency=low

  * Initial release. Closes: #810786

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 12 Jan 2016 16:23:48 +0000
