## libopenshot 0.1.2+ds1

=== debian/changelog ===
libopenshot (0.1.2+ds1-3build1) artful; urgency=medium

  * No-change rebuild to build with python3.6.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jul 2017 13:51:58 +0000

libopenshot (0.1.2+ds1-3) experimental; urgency=medium

  * Build depends on ImageMagick specifically
  * Fix arch-indep builds

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 01 Feb 2017 10:18:41 +0000

libopenshot (0.1.2+ds1-2) experimental; urgency=medium

  * Add missing build dependency on pkg-config
  * Drop versioned dependency on swig
  * Support the nodoc build profile
    - Add versioned build dependency on dpkg-dev
    - Mark documentation b-deps and packages as !nodoc
    - Do not build the documentation if nodoc is requested

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 31 Jan 2017 11:04:22 +0000

libopenshot (0.1.2+ds1-1) experimental; urgency=low

  * Initial release. (Closes: #810786)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 16 Dec 2016 12:41:46 +0000
