## libopenshot 0.1.9%2Bdfsg1

=== debian/changelog ===
libopenshot (0.1.9+dfsg1-3build1) bionic; urgency=medium

  * No-change rebuild against latest libopenshot-audio

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 22 Nov 2017 08:18:04 -0500

libopenshot (0.1.9+dfsg1-3) unstable; urgency=medium

  * Add new patch to really fix the FTBFS on arm64. (Closes: #879074)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 18 Nov 2017 14:50:58 +0100

libopenshot (0.1.9+dfsg1-2) unstable; urgency=medium

  * New patch to fix failing tests on some non-x86 architectures.
    (Closes: #879074, #879075)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 18 Nov 2017 14:02:30 +0100

libopenshot (0.1.9+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.1.9+dfsg1
  * Use 'dfsg' as repack suffix
  * Bump .so version to 14

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 15 Nov 2017 10:46:57 +0100

libopenshot (0.1.8+ds1-3) unstable; urgency=medium

  * Remove symbols file.
    The file makes the build fail on i386 and seems to be too
    fragile at the current stage to be included. Adding the
    file back might work later on, when upstream development
    has slowed down a bit.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 28 Oct 2017 15:51:59 +0200

libopenshot (0.1.8+ds1-2) unstable; urgency=medium

  * Add symbols file
  * Update Standards-Version to 4.1.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 24 Oct 2017 21:22:19 +0200

libopenshot (0.1.8+ds1-1) unstable; urgency=medium

  * New upstream version 0.1.8+ds1
    - Fix FTBFS due to failing tests. Closes: #875969
  * Refresh patches
  * Bump soversion to 13
  * Adopt package. (Closes: #872904)
  * Update Standards-Version to 4.1.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 26 Sep 2017 16:55:53 +0200

libopenshot (0.1.7+ds1-1) experimental; urgency=medium

  * Switch from git-dpm to gbp
    - Drop git-dpm configuration
    - Unapply the patch queue
    - Add gbp configuration
    - Refresh the patch queue
    - Drop patch numbering
  * New upstream version 0.1.7+ds1
  * Rebase the patch queue
    - Drop Capture-multi-digit-version-numbers.patch, applied upstream
  * Bump soversion to 12
  * Update copyright information.
    Thanks to Chris Lamb (Closes: #855347)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 13 Jun 2017 11:44:12 +0100

libopenshot (0.1.3+ds1-1) experimental; urgency=medium

  * New upstream release
  * Do not run `make install` in arch-indep builds
  * Bump soname of shlibs package to 10
  * Cherry-pick proposed fix for soversion parsing
    - New patch 0003-Capture-multi-digit-version-numbers.patch

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 04 Feb 2017 14:26:25 +0000
