=== src/CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 # required for libopenshot-audio headers
 IF (WIN32)
 	add_definitions( -DIGNORE_JUCE_HYPOT=1 )
-	SET(CMAKE_CXX_FLAGS " ${CMAKE_CXX_FLAGS} -include cmath -std=c++0x")
+	SET(CMAKE_CXX_FLAGS " ${CMAKE_CXX_FLAGS} -include cmath")
 ENDIF(WIN32)
 IF (APPLE)
 	# If you still get errors compiling with GCC 4.8, mac headers need to be patched: http://hamelot.co.uk/programming/osx-gcc-dispatch_block_t-has-not-been-declared-invalid-typedef/
@@ -43,8 +43,6 @@
     
     SET(JUCE_PLATFORM_SPECIFIC_DIR build/macosx/platform_specific_code)
     SET(JUCE_PLATFORM_SPECIFIC_LIBRARIES "-framework Carbon -framework Cocoa -framework CoreFoundation -framework CoreAudio -framework CoreMidi -framework IOKit -framework AGL -framework AudioToolbox -framework QuartzCore -lobjc -framework Accelerate")
-
-    SET(CMAKE_CXX_FLAGS " ${CMAKE_CXX_FLAGS} -std=c++0x")
 ENDIF(APPLE)
 
 ################ IMAGE MAGICK ##################
@@ -187,13 +185,16 @@
   		AudioBufferSource.cpp
   		AudioReaderSource.cpp
 		AudioResampler.cpp
-		Cache.cpp
+		CacheBase.cpp
+		CacheDisk.cpp
+		CacheMemory.cpp
 		ChunkReader.cpp
 		ChunkWriter.cpp
 		Color.cpp
 		Clip.cpp
 		ClipBase.cpp
 		Coordinate.cpp
+		CrashHandler.cpp
 		DummyReader.cpp
 		ReaderBase.cpp
 		RendererBase.cpp
@@ -287,6 +288,11 @@
 			SET ( REQUIRED_LIBRARIES ${REQUIRED_LIBRARIES} ${BLACKMAGIC_LIBRARY_DIR} )
 		ENDIF (BLACKMAGIC_FOUND)
 
+		IF (WIN32)
+			# Required for exception handling on Windows
+			SET ( REQUIRED_LIBRARIES ${REQUIRED_LIBRARIES} "imagehlp" )
+		ENDIF(WIN32)
+
 # Link all referenced libraries
 target_link_libraries(openshot ${REQUIRED_LIBRARIES})
