=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,7 @@
 IF (WIN32)
 	STRING(REPLACE "/" "\\\\" TEST_MEDIA_PATH "${openshot_SOURCE_DIR}/src/examples/")
 	add_definitions( -DIGNORE_JUCE_HYPOT=1 -DTEST_MEDIA_PATH="${TEST_MEDIA_PATH}" )
-	SET(CMAKE_CXX_FLAGS " ${CMAKE_CXX_FLAGS} -include cmath -std=c++0x")
+	SET(CMAKE_CXX_FLAGS " ${CMAKE_CXX_FLAGS} -include cmath")
 ENDIF(WIN32)
 
 ################### UNITTEST++ #####################
@@ -154,11 +154,9 @@
 # Include jsoncpp headers (needed for JSON parsing)
 include_directories("../thirdparty/jsoncpp/include")
 
-###############  SET TEST SOURCE FILES  #################
-SET ( OPENSHOT_TEST_FILES tests.cpp )
-
 IF (NOT DISABLE_TESTS)
-	SET ( OPENSHOT_TEST_FILES ${OPENSHOT_TEST_FILES} 
+	###############  SET TEST SOURCE FILES  #################
+	SET ( OPENSHOT_TEST_FILES tests.cpp
 		   Cache_Tests.cpp
 		   Clip_Tests.cpp
 		   Color_Tests.cpp
@@ -172,18 +170,18 @@
 		   KeyFrame_Tests.cpp
 		   Point_Tests.cpp
 		   Timeline_Tests.cpp )
-ENDIF (NOT DISABLE_TESTS)
 
-################ TESTER EXECUTABLE #################
-# Create unit test executable (openshot-test)
-add_executable(openshot-test
-			   tests.cpp
-			   ${OPENSHOT_TEST_FILES} )
+	################ TESTER EXECUTABLE #################
+	# Create unit test executable (openshot-test)
+	add_executable(openshot-test
+				   tests.cpp
+				   ${OPENSHOT_TEST_FILES} )
 
-# Link libraries to the new executable
-target_link_libraries(openshot-test openshot ${UNITTEST++_LIBRARY})
+	# Link libraries to the new executable
+	target_link_libraries(openshot-test openshot ${UNITTEST++_LIBRARY})
 
 
-#################### MAKE TEST ######################
-# Hook up the 'make test' target to the 'openshot-test' executable
-ADD_CUSTOM_TARGET(test ${CMAKE_CURRENT_BINARY_DIR}/openshot-test)
+	#################### MAKE TEST ######################
+	# Hook up the 'make test' target to the 'openshot-test' executable
+	ADD_CUSTOM_TARGET(test ${CMAKE_CURRENT_BINARY_DIR}/openshot-test)
+ENDIF (NOT DISABLE_TESTS)
