=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,8 @@
 
 override_dh_auto_test-indep:
 
+override_dh_auto_install-indep:
+
 override_dh_installdocs-indep:
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 	dh_installdocs --indep
